com.holonplatform.json.model

## Interface PropertySetSerializationNode

-     public interface PropertySetSerializationNode

  A `PropertySetSerializationTree` node.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PropertySetSerializationNode` | `create(String name)` Create a non-leaf `PropertySetSerializationNode`.
    `static PropertySetSerializationNode` | `create(String name, com.holonplatform.core.property.Property<?> property)` Create a leaf `PropertySetSerializationNode`.
    `List<PropertySetSerializationNode>` | `getChildren()` Get the children nodes, if it isn't a leaf node.
    `String` | `getName()` Get the node serialization name.
    `Optional<com.holonplatform.core.property.Property<?>>` | `getProperty()` Get the property bound to this node, if it is a leaf node.

- - ### Method Detail

    - #### getName

          String getName()

      Get the node serialization name.
      Returns:
        the node serialization name

    - #### getProperty

          Optional<com.holonplatform.core.property.Property<?>> getProperty()

      Get the property bound to this node, if it is a leaf node.
      Returns:
        Optional node property

    - #### getChildren

          List<PropertySetSerializationNode> getChildren()

      Get the children nodes, if it isn't a leaf node.
      Returns:
        the children nodes, empty if a leaf node

    - #### create

          static PropertySetSerializationNode create(String name)

      Create a non-leaf `PropertySetSerializationNode`.
      Parameters:
        `name` - Serialization name (not null)
      Returns:
        A new `PropertySetSerializationNode` instance

    - #### create

          static PropertySetSerializationNode create(String name,
                                                     com.holonplatform.core.property.Property<?> property)

      Create a leaf `PropertySetSerializationNode`.
      Parameters:
        `name` - Serialization name (not null)
        `property` - The `Property` bound to the node (not null)
      Returns:
        A new `PropertySetSerializationNode` instance

Copyright © 2019 The Holon Platform. All rights reserved.